cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class OPU_R25

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.OPU_R25

-     public final class OPU_R25
      extends Message

  OPU_R25 – Unsolicited Population/Location-Based Laboratory Observation Message (Event R25 ). This message supports unsolicited population or location-based surveillance reporting to a central repository where the accession / visit may contain references to multiple patients, multiple specimens, non-patient specimens, and multiple orders per specimen.

  Represents a OPU_R25 message structure (see chapter 7.3.11). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: NTE ( Notes And Comments) SINGLE OPTIONAL
  4: PV1 (Patient Visit Segment) SINGLE_COMPULSARY
  5: PV2 (Patient Visit - Additional Information Segment) SINGLE_OPTIONAL
  6: PRT (Participation- for patient) MULTIPLE_OPTIONAL
  7: PATIENT VISIT OBSERVATION (a Group of segments in OPU_R25 message) MULTIPLE_OPTIONAL
  8. ACCESSION DETAILS (a Group of segments in OPU_R25 message) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAccessionDetailsGroup(IGroup objGroup)` Adds ACCESSION DETAILS GROUP to this message.
    `void` | `addAccessionDetailsGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of ACCESSION DETAILS GROUP to this message.
    `void` | `addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)` Adds collection of Notes and Comments Segment(NTE) to this message.
    `void` | `addNotesAndCommentsSegment(NTE objNTE)` Adds Notes and Comments Segment(NTE) to this message.
    `void` | `addParticipationForPatientSegment(ISingleCollection<PRT> objPRTSegmentCollection)` Adds collection of Participation(PRT) to this message.
    `void` | `addParticipationForPatientSegment(PRT objPRT)` Adds Participation(PRT) to this message.
    `void` | `addPatientVisitObservationGroup(IGroup objGroup)` Adds Patient Visit Observation GROUP to this message.
    `void` | `addPatientVisitObservationGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of Patient Visit Observation GROUP to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getAccessionDetailsGroups()` Retrieves Collection of ACCESSION DETAIL GROUP present in this message.
    `ISingleCollection<NTE>` | `getNotesAndCommentsSegments()` Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
    `ISingleCollection<PRT>` | `getParticipationForPatientSegments()` Retrieves Collection of Participation(PRT) present in this message.
    `PV2` | `getPatientVisitAdditionalInfoSegment()` Retrieves Patient Visit Additional Info(PV2) segment present in this message.
    `ISingleCollection<IGroup>` | `getPatientVisitObservationGroups()` Retrieves Collection of Patient Visit Observation GROUP present in this message.
    `PV1` | `getPatientVisitSegment()` Retrieves Patient Visit(PV1) segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setPatientVisitAdditionalInfoSegment(PV2 objPV2)` Sets value of Patient Visit Additional Info(PV2) segment for this message,overwrites if already present.
    `void` | `setPatientVisitSegment(PV1 objPV1)` Sets value of Patient Visit segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT)to be added in message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getNotesAndCommentsSegments

          public ISingleCollection<NTE> getNotesAndCommentsSegments()

      Retrieves Collection of Notes and Comments Segments(NTE) present in this message.
      Returns:
        ISingleCollection - Collection of Notes and Comments Segments(NTE) present in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(NTE objNTE)

      Adds Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTE` - Specified Notes and Comments Segment(NTE)to add in this message.

    - #### addNotesAndCommentsSegment

          public void addNotesAndCommentsSegment(ISingleCollection<NTE> objNTESegmentCollection)

      Adds collection of Notes and Comments Segment(NTE) to this message.
      Parameters:
        `objNTESegmentCollection` - Collection of Notes and Comments Segments to add in this message

    - #### getPatientVisitSegment

          public PV1 getPatientVisitSegment()

      Retrieves Patient Visit(PV1) segment present in this message
      Returns:
        PV1 - Specified PV1 Segment

    - #### setPatientVisitSegment

          public void setPatientVisitSegment(PV1 objPV1)

      Sets value of Patient Visit segment for this message,overwrites if already present.
      Parameters:
        `objPV1` - Specified PV1 Segment

    - #### getPatientVisitAdditionalInfoSegment

          public PV2 getPatientVisitAdditionalInfoSegment()

      Retrieves Patient Visit Additional Info(PV2) segment present in this message.
      Returns:
        PV2 - Specified Patient Visit Additional Info(PV2) Segment

    - #### setPatientVisitAdditionalInfoSegment

          public void setPatientVisitAdditionalInfoSegment(PV2 objPV2)

      Sets value of Patient Visit Additional Info(PV2) segment for this message,overwrites if already present.
      Parameters:
        `objPV2` - Specified PV2 Segment

    - #### addParticipationForPatientSegment

          public void addParticipationForPatientSegment(PRT objPRT)

      Adds Participation(PRT) to this message.
      Parameters:
        `objPRT` - Specified Participation Segment to be added in message.

    - #### addParticipationForPatientSegment

          public void addParticipationForPatientSegment(ISingleCollection<PRT> objPRTSegmentCollection)

      Adds collection of Participation(PRT) to this message.
      Parameters:
        `objPRTSegmentCollection` - Collection of Participation(PRT) to add in this message

    - #### getParticipationForPatientSegments

          public ISingleCollection<PRT> getParticipationForPatientSegments()

      Retrieves Collection of Participation(PRT) present in this message.
      Returns:
        ISingleCollection - Collection of Participation(PRT) present in this message.

    - #### getPatientVisitObservationGroups

          public ISingleCollection<IGroup> getPatientVisitObservationGroups()

      Retrieves Collection of Patient Visit Observation GROUP present in this message.
      Returns:
        ISingleCollection - Collection of Patient Visit Observation Group present

    - #### addPatientVisitObservationGroups

          public void addPatientVisitObservationGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of Patient Visit Observation GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified Patient Visit Observation GROUP Collection.

    - #### addPatientVisitObservationGroup

          public void addPatientVisitObservationGroup(IGroup objGroup)

      Adds Patient Visit Observation GROUP to this message.
      Parameters:
        `objGroup` - Specified Patient Visit Observation GROUP.

    - #### getAccessionDetailsGroups

          public ISingleCollection<IGroup> getAccessionDetailsGroups()

      Retrieves Collection of ACCESSION DETAIL GROUP present in this message.
      Returns:
        ISingleCollection - Collection of ACCESSION DETAIL Group present

    - #### addAccessionDetailsGroups

          public void addAccessionDetailsGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of ACCESSION DETAILS GROUP to this message.
      Parameters:
        `objSingleCollection` - Specified ACCESSION DETAILS GROUP Collection.

    - #### addAccessionDetailsGroup

          public void addAccessionDetailsGroup(IGroup objGroup)

      Adds ACCESSION DETAILS GROUP to this message.
      Parameters:
        `objGroup` - Specified ACCESSION DETAILS GROUP.